#include <stdio.h>

int main(int argc, char **argv) {	
	FILE *fp, *ofp;
	long si,ei;
		
	if (argc <= 3) { puts("Usage: cpbinl file startline endline"); return 1; }
	si=atoi(argv[2]); ei=atoi(argv[3]);
	if (si < 1 || ei < 1 || ei < si) { puts("Invalid index"); return 1; }
	fp=fopen(argv[1], "rb");
	argv[1][0]='#'; if (fp) ofp=fopen(argv[1], "wb");
	if (fp && ofp) {
		long line=1, read;
		unsigned char ch;
		
		do {
			read=fread(&ch, 1, 1, fp);
			if (read && line >= si && line <= ei) fwrite(&ch, 1, 1, ofp);
			if (ch == 0xa) line++;
		} while(read);
		
		if (fp) fclose(fp);
		if (ofp) fclose(ofp);
	} else puts("File error");
	return 0;
}
